package com.fxy.hk.bean;

import android.os.Parcel;
import android.os.Parcelable;

public class PickupBean implements Parcelable {
    public String pickup_number = "";
    public int no_scan = 0;
    public int has_scan = 0;
    public String next_ctns = "";

    public String getPickupNumber() {
        return pickup_number;
    }

    public void setPickupNumber(String pickup_number) {
        this.pickup_number = pickup_number;
    }

    public int getNoScan() {
        return no_scan;
    }

    public void setNoScan(int no_scan) {
        this.no_scan = no_scan;
    }

    public int getHasScan() {
        return has_scan;
    }

    public void setHasScan(int has_scan) {
        this.has_scan = has_scan;
    }

    public String getNextCtns() {
        return next_ctns;
    }

    public void setNextCtns(String next_ctns) {
        this.next_ctns = next_ctns;
    }



    public PickupBean() {
    }

    protected PickupBean(Parcel in) {
        pickup_number = in.readString();
        no_scan = in.readInt();
        has_scan = in.readInt();
        next_ctns = in.readString();
    }

    public static final Creator<PickupBean> CREATOR = new Creator<PickupBean>() {
        @Override
        public PickupBean createFromParcel(Parcel in) {
            return new PickupBean(in);
        }

        @Override
        public PickupBean[] newArray(int size) {
            return new PickupBean[size];
        }
    };

    @Override
    public String toString() {
        return "PickupBean{" +
                "pickup_number='" + pickup_number + '\'' +
                ", no_scan=" + no_scan +
                ", has_scan=" + has_scan +
                ", next_ctns='" + next_ctns + '\'' +
                '}';
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(pickup_number);
        parcel.writeInt(no_scan);
        parcel.writeInt(has_scan);
        parcel.writeString(next_ctns);
    }
}
